Bug 858548 - RESTAPI: Document session based authentication
RESTAPI: Document session based authentication
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Dan Macpherson
ecs-bugs
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-19 02:39 EDT by Michael Pasternak
Modified: 2014-03-25 03:00 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 12:24:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Pasternak 2012-09-19 02:39:23 EDT
See "#740756 - (stateful_auth_rest) PRD31 - Implement session based authentication for the RESTful API" for more details
Comment 2 Michael Pasternak 2012-09-24 08:26:29 EDT
> 
> Is there anything else I need to document beyond this?


yap:

1. first request send with 'Prefer: persistent-auth' + 'Authorization: Basic 
   XXX'  headers

2. server will reply with header: Set-Cookie: JSESSIONID=YYY which should be 
   stored and used as 'cookie: JSESSIONID=YYY' with 'Prefer: persistent-auth'  
   header in all future calls to the server

3. to destroy persistent-auth, perform a call to the sever without 
   persistent-auth header
Comment 3 Dan Macpherson 2012-10-02 11:41:01 EDT
Committed revision 85422.

Note You need to log in before you can comment on or make changes to this bug.